Skip to content

Create a new binder template in your Vault.

POST/api/{version}/objects/binders/templates
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml

When creating binder templates, the following fields are required in all Vaults:

NameDescription
name__vThe name of the new binder template. If not included, Vault will use the specified label__v value to generate a value for the name__v field.
label__vThe label of the new binder template. This is the name users will see among the available binder templates in the UI.
type__vThe name of the document type to which the template will be associated.
subtype__vThe name of the document subtype to which the template will be associated. This is only required if associating the template with a document subtype.
classification__vThe name of the document classification to which the template will be associated. This is only required if associating the template with a document classification.
active__vSet to true or false to indicate whether or not the new binder template should be set to active, i.e., available for selection when creating a binder.

In this example:

  • The input format is set to application/x-www-form-urlencoded.
  • The response format is not set and will default to JSON.
  • The name__v field is not included. Vault will use the specified label__v field value to create the name__v=claim_binder_template__c.
  • The label__v field specifies the binder template label "Claim Binder Template". This is what users will see among the available templates in the UI.
  • The document type__v is specified. This template is being created for binders of type__v=claim__c. Since this exists at the document type level, the subtype and classification are not required.
  • The template is being set to active__v=true. It will be available for selection when creating a new binder.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "label__v=Claim Binder Template" \ -d "type__v=claim__c" \ -d "active__v=true" \ https://myvault.veevavault.com/api/v22.3/objects/binders/templates
{ "responseStatus":"SUCCESS", "data":[ { "responseStatus":"SUCCESS", "name__v":"claim_binder_template__c" } ] }

On SUCCESS, Vault returns the name of the new binder template.